Debian Bug report logs - #619711
console-setup: breaks copying keymap to initramfs

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>

Date: Sat, 26 Mar 2011 11:51:01 UTC

Severity: important

Tags: d-i

Merged with 669935, 688346

Found in versions initramfs-tools/0.99, initramfs-tools/0.107

Fixed in version initramfs-tools/0.108

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619711; Package console-setup. (Sat, 26 Mar 2011 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 26 Mar 2011 11:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: submit@bugs.debian.org
Subject: console-setup: breaks copying keymap to initramfs
Date: Sat, 26 Mar 2011 12:49:24 +0100
[Message part 1 (text/plain, inline)]
Package: console-setup                   
Version: 1.71
Severity: grave

Hello,

if a system's keymap needs to be loaded during the initramfs stage,
initramfs-tools' /usr/share/initramfs-tools/hooks/keymap looks for 
	/etc/console-setup/cached.kmap.gz
and copies it to the initramfs.

console-setup 1.71 changed the name of this file to
	/etc/console-setup/cached_${CHARMAP}_$backspace$VARIANT.kmap.gz
i.e. something like
	/etc/console-setup/cached_ISO-8859-15_del.kmap.gz

Hence, /etc/console-setup/cached.kmap.gz doesn't exist anymore on fresh
installed systems and is thus not copied to the initramfs anymore.
This renders systems unbootable because, for example, passphrases cannot
be entered.
This bug hides well on upgraded systems, because console-setup doesn't
remove the old /etc/console-setup/cached.kmap.gz.

There are several alternatives to fix this bug like
* symlinking the new name to the old
* moving the keymap-copying from initramfs-tools to console-setup
* updating initramfs-tools to honor the new keymap name
Most of those alternatives need to be negotiated with initramfs-tools
and probably other initramfs-creators as well.
However, at the current stage console-setup should break on
packages that depend on the old naming scheme.


Thanks for your work & regards
   Mario
-- 
We know that communication is a problem, but the company is not going to
discuss it with the employees.
                       -- Switching supervisor, AT&T Long Lines Division
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619711; Package console-setup. (Tue, 29 Mar 2011 12:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 29 Mar 2011 12:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 619711@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: initramfs-tools@packages.debian.org, 619711@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Tue, 29 Mar 2011 15:04:57 +0300
reassign 619711 initramfs-tools
thanks

On Sat, Mar 26, 2011 at 12:49:24PM +0100, Mario 'BitKoenig' Holbe wrote:
> 
> if a system's keymap needs to be loaded during the initramfs stage,
> initramfs-tools' /usr/share/initramfs-tools/hooks/keymap looks for 
> 	/etc/console-setup/cached.kmap.gz
> and copies it to the initramfs.

I had no idea that initramfs-tools does this.  I think this was wrong 
even with old version of console-setup because in some situations 
cached.kmap.gz will not correspond to the actual configuration and in 
some versions of the package it was even possible for this file not to 
exist.
 
> console-setup 1.71 changed the name of this file to
> 	/etc/console-setup/cached_${CHARMAP}_$backspace$VARIANT.kmap.gz
> i.e. something like
> 	/etc/console-setup/cached_ISO-8859-15_del.kmap.gz

The new version of console-setup tries to guess good values for several 
configuration options if values are not provided in its configuration 
files.  Because of this, it is possible (when the system environment 
changes - locale and/or terminal settings) that a new keymap will be 
required even when the user has not changed anything in the 
configuration files of console-setup.  Hence, it would be impossible for 
console-setup to tell whether cached.kmap.gz can be used or the keymap 
has to be regenerated.
 
> There are several alternatives to fix this bug like
> * symlinking the new name to the old
> * moving the keymap-copying from initramfs-tools to console-setup
> * updating initramfs-tools to honor the new keymap name

It will be difficult for initramfs-tools to tell what is the correct 
name of the cached keymap.  Symlinking the new name to the old is 
unreliable so I'd prefer not to implement this.  Because of this in 
version 1.72 of console-setup a new option of setupcon is implemented 
--save-keyboard.  Suppose you want to save the keymap in 
/tmp/initrd/etc/console-setup/cached.kmap.gz.  Then simply use the 
following command:

setupcon --save-keyboard /tmp/initrd/etc/console-setup/cached.kmap.gz

Alternatively, instead of --save-keyboard you can use --setup-dir.  I 
will explain this second option in a separate bug report.  Both new 
options of setupcon are for now undocumented because I want to know 
first that they will be useful.

Anton Zinoviev





Bug reassigned from package 'console-setup' to 'initramfs-tools'. Request was from Anton Zinoviev <anton@lml.bas.bg> to control@bugs.debian.org. (Tue, 29 Mar 2011 12:45:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions console-setup/1.71. Request was from Anton Zinoviev <anton@lml.bas.bg> to control@bugs.debian.org. (Tue, 29 Mar 2011 12:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Tue, 05 Apr 2011 21:16:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 05 Apr 2011 21:19:16 GMT) Full text and rfc822 format available.

Message #19 received at 619711@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: initramfs-tools@packages.debian.org, 619711@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Tue, 5 Apr 2011 23:00:49 +0200
severity 619711 important
stop

default is KEYMAP=n.

On Tue, 29 Mar 2011, Anton Zinoviev wrote:

> I had no idea that initramfs-tools does this.  I think this was wrong 
> even with old version of console-setup because in some situations 
> cached.kmap.gz will not correspond to the actual configuration and in 
> some versions of the package it was even possible for this file not to 
> exist.

people using cryptsetup asked for it in order to be able to pass
their luks passphrase.
  
> 
> It will be difficult for initramfs-tools to tell what is the correct 
> name of the cached keymap.  Symlinking the new name to the old is 
> unreliable so I'd prefer not to implement this.  Because of this in 
> version 1.72 of console-setup a new option of setupcon is implemented 
> --save-keyboard.  Suppose you want to save the keymap in 
> /tmp/initrd/etc/console-setup/cached.kmap.gz.  Then simply use the 
> following command:
> 
> setupcon --save-keyboard /tmp/initrd/etc/console-setup/cached.kmap.gz
> 
> Alternatively, instead of --save-keyboard you can use --setup-dir.  I 
> will explain this second option in a separate bug report.  Both new 
> options of setupcon are for now undocumented because I want to know 
> first that they will be useful.

I'd prerfer that console-setup would ship an proper initramfs hook
telling what to add to initramfs, will followup on the other report
on that soonest.

thanks for your input.

-- 
maks




Severity set to 'important' from 'grave' Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 05 Apr 2011 21:20:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 23 Nov 2011 11:42:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 23 Nov 2011 11:42:33 GMT) Full text and rfc822 format available.

Message #26 received at 619711@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: maximilian attems <max@stro.at>, 619711@bugs.debian.org
Cc: Anton Zinoviev <anton@lml.bas.bg>
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 23 Nov 2011 12:40:05 +0100
[Message part 1 (text/plain, inline)]
* maximilian attems [Die Apr 05, 2011 at 11:00:49 +0200]:
> On Tue, 29 Mar 2011, Anton Zinoviev wrote:

[...]

> > It will be difficult for initramfs-tools to tell what is the correct 
> > name of the cached keymap.  Symlinking the new name to the old is 
> > unreliable so I'd prefer not to implement this.  Because of this in 
> > version 1.72 of console-setup a new option of setupcon is implemented 
> > --save-keyboard.  Suppose you want to save the keymap in 
> > /tmp/initrd/etc/console-setup/cached.kmap.gz.  Then simply use the 
> > following command:

> > setupcon --save-keyboard /tmp/initrd/etc/console-setup/cached.kmap.gz

> > Alternatively, instead of --save-keyboard you can use --setup-dir.  I 
> > will explain this second option in a separate bug report.  Both new 
> > options of setupcon are for now undocumented because I want to know 
> > first that they will be useful.

> I'd prerfer that console-setup would ship an proper initramfs hook
> telling what to add to initramfs, will followup on the other report
> on that soonest.

So, how could we resolve this issue?

Anton, is there any chance you could provide an initramfs hook which
takes care of that? (The advantage of this approach would be that
the hook can use features of console-setup according to its version
and you'd have full control over it.)

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 23 Nov 2011 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 23 Nov 2011 15:09:05 GMT) Full text and rfc822 format available.

Message #31 received at 619711@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Michael Prokop <mika@debian.org>
Cc: maximilian attems <max@stro.at>, 619711@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 23 Nov 2011 16:37:00 +0200
On Wed, Nov 23, 2011 at 12:40:05PM +0100, Michael Prokop wrote:
> 
> > I'd prerfer that console-setup would ship an proper initramfs hook
> > telling what to add to initramfs, will followup on the other report
> > on that soonest.
> 
> So, how could we resolve this issue?
> 
> Anton, is there any chance you could provide an initramfs hook which
> takes care of that? (The advantage of this approach would be that
> the hook can use features of console-setup according to its version
> and you'd have full control over it.)

Well, the situation is that I am ready to devote as much time as it is 
required in order to develop whatever is required.  The problem is I am 
not prepared and I don't want to maintain this afterwards (for personal 
rather than technical reasons).

There are some other people helping with the development of 
console-setup.  They are members of debian-boot list, hopefuly an email 
to this list will be helpful?

So it seems there are three options:

1. A current contributor of console-setup volunteers to help.

2. Someone from the kernel team maintains the hooks in console-setup (in 
this case I can do any requested initial development, documentation, 
etc.)

3. Something like --save-keyboard or --setup-dir is used.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 15 Feb 2012 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Altergott <andreasaltergott@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 13:30:04 GMT) Full text and rfc822 format available.

Message #36 received at 619711@bugs.debian.org (full text, mbox):

From: Andreas Altergott <andreasaltergott@googlemail.com>
To: Debian Bug Tracking System <619711@bugs.debian.org>
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 15 Feb 2012 14:28:13 +0100
[Message part 1 (text/plain, inline)]
Package: initramfs-tools
Version: 0.99
Followup-For: Bug #619711

Hello,

please find attached a patch for the keymap hook, which fixes the bug as
described by Anton Zinoviev <anton@lml.bas.bg> in the email 'Re: Bug#619711:
console-setup: breaks copying keymap to initramfs' from Tue, 29 Mar 2011
15:04:57 +0300.

Regards,
Andreas



-- Package-specific info:
-- initramfs sizes
-- /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.2.0-1-amd64 root=/dev/mapper/andreas--notebook-root ro quiet splash

-- resume
RESUME=/dev/mapper/andreas--notebook-swap_1
-- /proc/filesystems
	ext4
	ext2
	fuseblk

-- lsmod
Module                  Size  Used by
ip6table_filter        12540  0 
ip6_tables             22175  1 ip6table_filter
ebtable_nat            12580  0 
ebtables               26235  1 ebtable_nat
ipt_MASQUERADE         12594  3 
iptable_nat            12928  1 
nf_nat                 18242  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      14078  4 iptable_nat,nf_nat
nf_defrag_ipv4         12483  1 nf_conntrack_ipv4
xt_state               12503  1 
nf_conntrack           52720  5 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
ipt_REJECT             12502  2 
xt_CHECKSUM            12471  1 
iptable_mangle         12536  1 
acpi_cpufreq           12935  1 
mperf                  12453  1 acpi_cpufreq
xt_tcpudp              12570  5 
cpufreq_stats          12866  0 
cpufreq_powersave      12454  0 
cpufreq_userspace      12576  0 
cpufreq_conservative    13147  0 
iptable_filter         12536  1 
ip_tables              22042  3 iptable_nat,iptable_mangle,iptable_filter
x_tables               19073  12 ip6table_filter,ip6_tables,ebtables,ipt_MASQUERADE,iptable_nat,xt_state,ipt_REJECT,xt_CHECKSUM,iptable_mangle,xt_tcpudp,iptable_filter,ip_tables
bridge                 70728  0 
stp                    12392  1 bridge
hdaps                  13616  1 
parport_pc             22364  0 
ppdev                  12763  0 
lp                     17149  0 
parport                31858  3 parport_pc,ppdev,lp
bnep                   17567  2 
rfcomm                 33656  0 
binfmt_misc            12957  1 
uinput                 17440  1 
fuse                   61981  1 
nfsd                  211858  2 
nfs                   312062  0 
lockd                  67328  2 nfsd,nfs
fscache                36739  1 nfs
auth_rpcgss            37143  2 nfsd,nfs
nfs_acl                12511  2 nfsd,nfs
sunrpc                173671  6 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
kvm_intel             121968  0 
kvm                   287572  1 kvm_intel
ext2                   59231  1 
tp_smapi               23531  0 
thinkpad_ec            12857  2 hdaps,tp_smapi
loop                   22641  0 
snd_hda_codec_hdmi     30783  1 
snd_hda_codec_conexant    45245  1 
btusb                  17502  0 
bluetooth             119406  11 bnep,rfcomm,btusb
uvcvideo               57744  0 
videodev               70889  1 uvcvideo
snd_hda_intel          26345  2 
snd_hda_codec          77994  3 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel
media                  18148  2 uvcvideo,videodev
arc4                   12458  2 
v4l2_compat_ioctl32    16655  1 videodev
joydev                 17266  0 
hid_logitech_dj        17247  0 
snd_hwdep              13186  1 snd_hda_codec
snd_pcm                63900  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd_seq                45093  0 
snd_timer              22917  2 snd_pcm,snd_seq
iwlwifi               166703  0 
snd_seq_device         13176  1 snd_seq
mac80211              192768  1 iwlwifi
ac                     12624  0 
thinkpad_acpi          61270  0 
battery                13109  0 
power_supply           13475  2 ac,battery
nvram                  13049  1 thinkpad_acpi
iTCO_wdt               17081  0 
iTCO_vendor_support    12704  1 iTCO_wdt
snd                    52850  14 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device,thinkpad_acpi
cfg80211              137140  2 iwlwifi,mac80211
i2c_i801               16870  0 
rfkill                 19012  5 bluetooth,thinkpad_acpi,cfg80211
psmouse                64455  0 
serio_raw              12931  0 
evdev                  17562  23 
soundcore              13065  1 snd
snd_page_alloc         13003  2 snd_hda_intel,snd_pcm
wmi                    13243  0 
processor              28059  1 acpi_cpufreq
ext4                  350557  1 
mbcache                13065  2 ext2,ext4
jbd2                   62015  1 ext4
crc16                  12343  2 bluetooth,ext4
sha256_generic         16797  2 
aesni_intel            50643  24 
cryptd                 14517  9 aesni_intel
aes_x86_64             16796  1 aesni_intel
aes_generic            33026  2 aesni_intel,aes_x86_64
cbc                    12754  0 
dm_crypt               22586  1 
dm_mod                 63545  9 dm_crypt
sr_mod                 21899  0 
sd_mod                 36136  3 
cdrom                  35401  1 sr_mod
crc_t10dif             12348  1 sd_mod
usbhid                 36379  1 hid_logitech_dj
hid                    81288  2 hid_logitech_dj,usbhid
i915                  351781  4 
drm_kms_helper         27227  1 i915
drm                   167670  5 i915,drm_kms_helper
i2c_algo_bit           12841  1 i915
ahci                   24997  2 
libahci                22860  1 ahci
xhci_hcd               73208  0 
libata                140589  2 ahci,libahci
ehci_hcd               40215  0 
scsi_mod              162417  3 sr_mod,sd_mod,libata
button                 12937  1 i915
e1000e                124918  0 
sdhci_pci              17976  0 
sdhci                  27053  1 sdhci_pci
mmc_core               72460  2 sdhci_pci,sdhci
usbcore               128498  6 btusb,uvcvideo,usbhid,xhci_hcd,ehci_hcd
usb_common             12354  1 usbcore
thermal                17383  0 
i2c_core               23876  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  17628  1 i915
thermal_sys            18040  3 processor,thermal,video

-- /etc/initramfs-tools/modules
intel_agp
drm
i915 modeset=1

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=y
COMPRESS=gzip
BOOT=local
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- /etc/crypttab
sda5_crypt UUID=7326340f-32f9-4ece-84dc-e309b3b82454 none luks

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
cryptgnupg
cryptkeyctl
cryptopenct
cryptopensc
cryptpassdev
cryptroot
dmsetup
fuse
keymap
klibc
lvm2
ntfs_3g
plymouth
thermal
udev


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio               2.11-7
ii  findutils          4.4.2-4
ii  klibc-utils        1.5.25-1.1
ii  module-init-tools  3.16-1
ii  udev               175-3

Versions of packages initramfs-tools recommends:
ii  busybox  1:1.19.3-5

Versions of packages initramfs-tools suggests:
ii  bash-completion  1:1.99-3

-- Configuration Files:
/etc/initramfs-tools/initramfs.conf changed [not included]

-- no debconf information
[initramfs-tools-0.99_keymapfix.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 15 Feb 2012 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #41 received at 619711@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Andreas Altergott <andreasaltergott@googlemail.com>, 619711@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 15 Feb 2012 14:40:25 +0000
On Wed, Feb 15, 2012 at 02:28:13PM +0100, Andreas Altergott wrote:
> 
> please find attached a patch for the keymap hook, which fixes the bug as
> described by Anton Zinoviev <anton@lml.bas.bg> in the email 'Re: Bug#619711:
> console-setup: breaks copying keymap to initramfs' from Tue, 29 Mar 2011
> 15:04:57 +0300.
> 
> Regards,
> Andreas
 
thank you very much for looking into this.

could you please send the patch in unified form, (diff -u)
the one below is unreadble or directly use git:
http://anonscm.debian.org/gitweb/?p=kernel/initramfs-tools.git

 
best regards,
max




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 15 Feb 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Altergott <andreasaltergott@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #46 received at 619711@bugs.debian.org (full text, mbox):

From: Andreas Altergott <andreasaltergott@googlemail.com>
To: maximilian attems <max@stro.at>
Cc: 619711@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 15 Feb 2012 16:57:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 15.02.2012, 14:40 +0000 schrieb maximilian attems: 
> could you please send the patch in unified form, (diff -u)
> the one below is unreadble or directly use git:
> http://anonscm.debian.org/gitweb/?p=kernel/initramfs-tools.git

the patch generated with git --diff in unified form is attached to this
mail.


regards,
Andreas
[initramfs-tools-0.99_keymapfix.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Sun, 19 Feb 2012 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 16:21:07 GMT) Full text and rfc822 format available.

Message #51 received at 619711@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Andreas Altergott <andreasaltergott@googlemail.com>, 619711@bugs.debian.org
Cc: maximilian attems <max@stro.at>
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Sun, 19 Feb 2012 17:43:23 +0200
On Wed, Feb 15, 2012 at 04:57:19PM +0100, Andreas Altergott wrote:
> 
> +/bin/setupcon --save-keyboard ${DESTDIR}/etc/boottime.kmap.gz

I am not familiar with the method these scripts work (so I don't know if 
this is important) but in principle it can be expected that in some 
occasions setupcon will return non-zero exit code.  This means something 
has prevented it from saving the keyboard.  In such cases an error 
message will be printed to stderr.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Sat, 21 Apr 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 21 Apr 2012 11:21:05 GMT) Full text and rfc822 format available.

Message #56 received at 619711@bugs.debian.org (full text, mbox):

From: Kjö Hansi Glaz <kjo@a4nancy.net.eu.org>
To: 619711@bugs.debian.org
Subject: How to solve for wheezy?
Date: Sat, 21 Apr 2012 13:10:56 +0200
Hi,

I think that this bug must be solve before wheezy release. It basically
prevents a normal user from booting a newly installed encrypted system
with non-english keyboard layout.

My tests shows that the patch proposed by Andreas Altergott works on a
freshed install wheezy.

I'm up for any other necessary testing.

Cheers,

Kjö




Merged 619711 669935 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 22 Apr 2012 07:54:17 GMT) Full text and rfc822 format available.

Added indication that 619711 affects cryptsetup Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 05 Sep 2012 22:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Thu, 13 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #65 received at 619711@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 619711@bugs.debian.org
Subject: Re: console-setup: breaks copying keymap to initramfs
Date: Thu, 13 Sep 2012 17:33:50 +0200
Hi,

is there any progress on this one? This recently bit me quite hard when
I installed a system with full-disk encryption, using a password which
required the correct keyboard layout to be entered.

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Sat, 15 Sep 2012 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 15 Sep 2012 12:18:05 GMT) Full text and rfc822 format available.

Message #70 received at 619711@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Ralf Jung <post@ralfj.de>, 619711@bugs.debian.org
Cc: 532852@bugs.debian.org
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Sat, 15 Sep 2012 14:44:05 +0300
[I am sending CC also to 532852@bugs.debian.org]

On Thu, Sep 13, 2012 at 05:33:50PM +0200, Ralf Jung wrote:
> 
> is there any progress on this one? This recently bit me quite hard when
> I installed a system with full-disk encryption, using a password which
> required the correct keyboard layout to be entered.

As far as I can understand, this bug can be fixed in two ways - by code 
provided by console-setup, or by code provided by initramfs-tools.  

Almost all of the code required in order to fix this bug has been 
implemented in console-setup for quite some time. Unfortunately there 
are two problems:

1. I (as one of the maintainers of console-setup) can not guarantee 
that I will be able to maintain this code in future.  Not because this 
will be too complex or too time consuming (no, it won't be...), but 
rather because I don't feel myself wanting to keep myself updated with 
any future changes in the initrd build process.

2. I suppose the maintainers of initramfs-tools can say something 
analogous...

I am willing to provide any required development, education, whatever, 
the moment there appears a developer willing to maintain this.

Anton Zinoviev




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Fri, 21 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 21 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Message #75 received at 619711@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>, 619711@bugs.debian.org
Cc: maximilian attems <max@stro.at>
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Fri, 21 Sep 2012 12:54:12 +0200
[Message part 1 (text/plain, inline)]
Hi!

* Anton Zinoviev [Sat Sep 15, 2012 at 02:44:05PM +0300]:
> On Thu, Sep 13, 2012 at 05:33:50PM +0200, Ralf Jung wrote:

> > is there any progress on this one? This recently bit me quite hard when
> > I installed a system with full-disk encryption, using a password which
> > required the correct keyboard layout to be entered.

> As far as I can understand, this bug can be fixed in two ways - by code 
> provided by console-setup, or by code provided by initramfs-tools.  
[...]

I just uploaded initramfs-tools v0.108 which fixes this issue.

I'll try to get a release exception for it once it has been hanging
in unstable for a few days without any known problems so it can make
its way into Debian/wheezy.

Anton, while working on this issue I noticed that setupcon doesn't
always return an according error code. Example:

  http://michael-prokop.at/screeni/gkrellShoot_12-09-21_112226.png

Could you please take care of that?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 21 Sep 2012 11:06:05 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Fri, 21 Sep 2012 11:06:05 GMT) Full text and rfc822 format available.

Message #80 received at 619711-close@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 619711-close@bugs.debian.org
Subject: Bug#619711: fixed in initramfs-tools 0.108
Date: Fri, 21 Sep 2012 11:03:00 +0000
Source: initramfs-tools
Source-Version: 0.108

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619711@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Prokop <mika@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Sep 2012 12:10:28 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.108
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Michael Prokop <mika@debian.org>
Description: 
 initramfs-tools - generic modular initramfs generator
Closes: 619711 664171 682340
Changes: 
 initramfs-tools (0.108) unstable; urgency=low
 .
   [ maximilian attems ]
   * [a8420de] hook-functions: add hid-generic module (Closes: #682340)
   * [9723143] debian/control: Scratch 2.6 mention
 .
   [ Petr Baudis ]
   * [1d6b272] initramfs-tools: allow disabling initrd for make deb-pkg
     (Closes: #664171)
 .
   [ Michael Prokop ]
   * [0ffc800] Use setupcon to install system's keymap. Thanks to
     Andreas Altergott <andreasaltergott@googlemail.com> for the initial
     patch. Thanks to Raphaël Hertzog <hertzog@debian.org> for testing,
     feedback and review. (Closes: #619711)
Checksums-Sha1: 
 7f57efd8b112c150e1d0f67d0726e8dfa3607cfb 1052 initramfs-tools_0.108.dsc
 0fea1ed898d64b4ce72faf9513c1603f83c36041 85131 initramfs-tools_0.108.tar.gz
 304252da50bf6156037cfe1bb4d1c6b6936b5aae 91098 initramfs-tools_0.108_all.deb
Checksums-Sha256: 
 3eddead65002d095883ae31590b71895be2e8f2fa588aa3506444e7c0cfe1b39 1052 initramfs-tools_0.108.dsc
 f6e5c0feeea94698257462a882b915f835d9ffa2e76bc9e9a8bf3000d09c3e84 85131 initramfs-tools_0.108.tar.gz
 cf1398f3381d30eddebe2bde572aef3f591d49eaafc3420b4b6294bc9422c840 91098 initramfs-tools_0.108_all.deb
Files: 
 4a8ec6283d0a796d2be2a220b835ce2e 1052 utils optional initramfs-tools_0.108.dsc
 66795295972b5980aef59d0aceeace94 85131 utils optional initramfs-tools_0.108.tar.gz
 ee6bd35d53574271723b782deed46d23 91098 utils optional initramfs-tools_0.108_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBcRgkACgkQ2N9T+zficujwpACfSKS6N/NMYkjKZcMv0TTAuO+q
OuYAnifnzxbP1t6UQSmaOn76Yg/1pHx1
=kvb5
-----END PGP SIGNATURE-----




Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 21 Sep 2012 11:06:05 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Pipping <sebastian@pipping.org>:
Bug acknowledged by developer. (Fri, 21 Sep 2012 11:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#619711; Package initramfs-tools. (Wed, 26 Sep 2012 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 26 Sep 2012 10:45:05 GMT) Full text and rfc822 format available.

Message #89 received at 619711@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Michael Prokop <mika@debian.org>
Cc: 619711@bugs.debian.org, maximilian attems <max@stro.at>
Subject: Re: Bug#619711: console-setup: breaks copying keymap to initramfs
Date: Wed, 26 Sep 2012 13:41:06 +0300
On Fri, Sep 21, 2012 at 12:54:12PM +0200, Michael Prokop wrote:
> 
> Anton, while working on this issue I noticed that setupcon doesn't
> always return an according error code. Example:
> 
>   http://michael-prokop.at/screeni/gkrellShoot_12-09-21_112226.png
> 
> Could you please take care of that?

Yes, this shouldn't be a problem.

Anton






Marked as found in versions initramfs-tools/0.107. Request was from Marc-Aurèle DARCHE <ma.darche@cynode.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 19:51:03 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Marc-Aurèle DARCHE <ma.darche@cynode.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 19:51:04 GMT) Full text and rfc822 format available.

Merged 619711 669935 688346 Request was from Marc-Aurèle DARCHE <ma.darche@cynode.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 19:51:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Nov 2012 07:25:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:28:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.